Skip to main content
GET
/
files
/
{file_id}
Retrieve file
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.phaseo.app/v1/files/{file_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "id": "<string>",
  "object": "<string>",
  "bytes": 123,
  "created_at": 123,
  "filename": "<string>",
  "purpose": "<string>",
  "status": "<string>",
  "status_details": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.ai-stats.phaseo.app/llms.txt

Use this file to discover all available pages before exploring further.

This route refreshes the upstream file metadata and enforces workspace ownership before proxying the response.
The public files routes are currently mounted but temporarily disabled, so this route currently returns 501 not_implemented.

Authorizations

Authorization
string
header
required

Bearer token authentication

Path Parameters

file_id
string
required

The ID of the file to retrieve.

Response

File metadata

id
string
object
string
bytes
integer
created_at
integer
filename
string
purpose
string
status
string
status_details
object
Last modified on May 19, 2026